% http://www.oak-tree.us/2010/08/02/texmemo/

\documentclass[letterpaper,11pt]{texMemo}

\usepackage{graphicx}
\usepackage[cmex10]{amsmath}
\usepackage{siunitx}

\memoto{Students enrolled in EL. E. 461}
\memofrom{Paul M. Goggans, Professor of Electrical Engineering}
\memosubject{\LaTeX \, Typesetting Examples}
\memodate{August 23, 2020}
\logo{\includegraphics{DesignLabLogo.pdf}}

%\setlength\parindent{0pt} % suppress paragraph indentation for entire document

\begin{document}
\maketitle
\thispagestyle{empty}% suppress page number on the first page
The following paragraphs demonstrating how to do various typesetting task in \LaTeX.  You should look at the \TeX \, code for this document to see the syntax that accomplishes the results illustrated below.

Examples of using the siunitx package to set values with units:  \SI{5.6}{\mega\ohm}, \SI{500}{\nano\farad}, and \SI{9}{\volt}.

This is an example of using quotations marks in \LaTeX:
\begin{center}``This is the correct way to set quotation marks.''
\\ "This is the incorrect way to set quotation marks."\end{center}


This paragraph gives some examples of setting inline and display equations in \LaTeX: In converting the partial differential equations to difference equations we use the following 2D Yee cell notation:
\begin{equation} \label{EzNotation}
E_z|_{i,j}^n = E_z \left([i+\frac{1}{2}]\Delta x, [j+\frac{1}{2}]\Delta y, n\Delta t\right),
\end{equation}
\begin{equation} \label{HxNotation}
H_x|_{i,j}^n = H_x \left([i+\frac{1}{2}]\Delta x, j\Delta y, n\Delta t\right),
\end{equation}
and
\begin{equation} \label{HyNotation}
H_y|_{i,j}^n = H_y \left(i\Delta x, [j+\frac{1}{2}]\Delta y, n\Delta t\right)
\end{equation}
for the cell at reference point $(i\Delta x, j\Delta y)$ considered at time $n\Delta t$, where $\Delta x$ and $\Delta y$ are the spatial steps in $x$ and $y$ and $\Delta t$ is the time step.

The following illustrates referencing a figure, a table, and equations in a sentence and embedding the figure file: Figure \ref{fig:YeeCell} illustrates the 2D Yee cell notation of \eqref{EzNotation}, \eqref{HxNotation}, and \eqref{HyNotation}. Table \ref{tab:NullPatternElePara} is very interesting.

This is how you typeset a list in \LaTeX:
\begin{itemize}
	\item  This is item 1.
	\item  This is item 2.
	\item  This is item 3.
\end{itemize}

\begin{table}
\caption{Current amplitudes and locations of the antenna elements for the final design for the null controlled pattern.}
 \center
 \begin{tabular}{c | c c}
 Element Number & $a_n$ & $z_n$ \\
 \hline
   1  & $-0.126827$ & $0.357091$ \\
   2  & $-0.080908$ & $0.995085$ \\
   3  & $-0.045748$ & $1.282203$ \\
   4  & $-0.075533$ & $1.765967$ \\
   5  & $-0.065419$ & $2.353480$ \\
   6  & $-0.050844$ & $3.034163$ \\
   7  & $-0.030176$ & $3.775146$ \\
   8  & $-0.010795$ & $4.555126$ \\
 \end{tabular}
\label{tab:NullPatternElePara}
\end{table}



\begin{figure}
\begin{center}
\includegraphics[width=0.6\linewidth]{Figure1_YeeCell.pdf}
\end{center}
\caption{Illustration of field point positions indicated by the 2D Yee cell notation. The dashed lines represent cell boundaries. The symbols $\bullet$, $\rightarrow$, and $\uparrow$ denote $E_z$, $H_x$, and $H_y$.}
\label{fig:YeeCell}
\end{figure}

This sentence includes citations to journal papers \cite{ChanGoggans2014TAPS,XiangGoggans2003}, a conference paper \cite{GoggansCaoHenderson2013MaxEnt}, a book \cite{Haykin1983} and a web site \cite{Senn:2009}.

\bibliographystyle{IEEEtran}
\bibliography{BibTeXfileExample}

\end{document}

